> ## Documentation Index
> Fetch the complete documentation index at: https://docs.inprocess.world/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Comments

> Retrieve Moment comments on the In•Process protocol. This endpoint returns comments associated with a specific moment.



## OpenAPI

````yaml GET /moment/comments
openapi: 3.1.0
info:
  title: In•Process API
  description: >-
    The In•Process API enables browsing and managing moments from timelines.
    Retrieve moments from a specific artist's timeline, browse the in•process
    collective timeline, or filter by collection. The API supports creating
    moments, managing collections, handling payments, and interacting with the
    In•Process protocol ecosystem.
  version: 1.0.0
servers:
  - url: https://api.inprocess.world/api
    description: Production server
security: []
paths:
  /moment/comments:
    get:
      summary: Get Comments
      description: >-
        Retrieve Moment comments on the In•Process protocol. This endpoint
        returns comments associated with a specific moment.
      operationId: getMomentComments
      parameters:
        - name: collectionAddress
          in: query
          description: Moment contract address
          required: true
          schema:
            type: string
        - name: tokenId
          in: query
          description: Token ID
          required: true
          schema:
            type: string
        - name: chainId
          in: query
          description: 'Chain ID (optional, default: Base, 8453)'
          required: false
          schema:
            type: integer
            default: 8453
        - name: offset
          in: query
          description: Pagination offset (optional, defaults to 0)
          required: false
          schema:
            type: number
            default: 0
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommentsResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security: []
components:
  schemas:
    CommentsResponse:
      type: object
      required:
        - comments
      properties:
        comments:
          type: array
          description: Array of comments
          items:
            type: object
            required:
              - id
              - sender
              - username
              - comment
              - timestamp
            properties:
              id:
                type: string
                format: uuid
                description: UUID of the comment
              sender:
                type: string
                description: Address of the comment sender
              username:
                type: string
                description: Username of the comment sender
              comment:
                type: string
                description: Comment text
              timestamp:
                type: number
                description: Unix timestamp of when the comment was made
    Error:
      type: object
      required:
        - status
        - message
      properties:
        status:
          type: string
          enum:
            - error
          description: Error status
        message:
          type: string
          description: Error message
        errors:
          type: array
          description: >-
            Optional array of field-level validation errors. Typically included
            in 400 Bad Request responses for validation errors.
          items:
            type: object
            required:
              - field
              - message
            properties:
              field:
                type: string
                description: The field name that failed validation
              message:
                type: string
                description: The validation error message for this field

````